package com.css.txw.gxzx.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.css.txw.gxzx.pojo.domain.TxwGxzxQybqbDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
* @author AirlH
* @description 针对表【txw_gxzx_qybqb(企业标签表)】的数据库操作Mapper
* @createDate 2025-09-15 14:23:40
* @Entity com.css.txw.gxzx.pojo.domain.TxwGxzxQybqb
*/
public interface TxwGxzxQybqbMapper extends BaseMapper<TxwGxzxQybqbDO> {

    default void updYxbz(String qyuuid){
        UpdateWrapper<TxwGxzxQybqbDO> wrapper = new UpdateWrapper<>();
        wrapper.lambda().set(TxwGxzxQybqbDO::getYxbz,"Y")
                .eq(TxwGxzxQybqbDO::getQyuuid,qyuuid);
        update(wrapper);
    }

    default List<TxwGxzxQybqbDO> getQyuuids(List<String> bqdms){
        QueryWrapper<TxwGxzxQybqbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda().select(TxwGxzxQybqbDO::getQyuuid).in(TxwGxzxQybqbDO::getBqDm,bqdms)
                .eq(TxwGxzxQybqbDO::getYxbz,"Y");
        return selectList(wrapper);
    }
}




